Tengo esta configuración actual de Caddyfile:

example.com {
        reverse_proxy localhost:3000
}

Usando Caddy 2, ¿cómo puedo habilitar TLS 1.1 o incluso TLS 1.0 dentro de esta configuración?

Ya vi que existe la configuración tls pero no logré que funcione.

0
Nathanael Demacon 26 oct. 2020 a las 16:19

1 respuesta

La mejor respuesta

Caddy 2 no es compatible con TLS 1.1 ni TLS 1.0. La versión mínima es TLS 1.2 como puede ver en la documentación en directiva TLS que establece

protocolos: especifica las versiones mínima y máxima del protocolo. Mínimo predeterminado: tls1.2. Máximo predeterminado: tls1.3

En tls: Elimina la compatibilidad con TLS 1.0 y TLS 1.1, puedes ver la confirmación donde se eliminaron durante el desarrollo de Caddy 2.

1
Borja Quevedo 26 nov. 2020 a las 08:59